Skip to main content
GET
/
v3
/
drophunting
/
{id}
/
tasks
Drophunting activity tasks
curl --request GET \
  --url https://api.cryptorank.io/v3/drophunting/{id}/tasks \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": 17,
    "title": "Bridge to Scroll",
    "types": [
      "bridge"
    ],
    "startDate": "2026-05-15T12:00:00.000Z",
    "endDate": "2026-06-15T12:00:00.000Z",
    "mainText": {},
    "buttonUrl": {}
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.cryptorank.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
number
required

Query Parameters

status
enum<string>
Available options:
UPCOMING,
OPEN,
CLOSED

Response

200 - application/json
id
number
required

Task ID.

Example:

17

title
string
required

English title.

Example:

"Bridge to Scroll"

status
enum<string>
required
Available options:
UPCOMING,
OPEN,
CLOSED
types
string[]
required

Task categories — swap, bridge, mint, social, onchain-tx, etc.

Example:
["bridge"]
startDate
object
required

When the task became available, ISO 8601 UTC. Null when not scheduled.

Example:

"2026-05-15T12:00:00.000Z"

endDate
object
required

When the task closes, ISO 8601 UTC. Null when open-ended.

Example:

"2026-06-15T12:00:00.000Z"

mainText
object
required

English instructions, Markdown-formatted.

buttonUrl
object
required

URL where the user performs the task.